OpenVDB 12.1.0

Loading...
Searching...
No Matches
GetTile< BuildT > Struct Template Reference

Return point to the root Tile where math::Coord maps to one of its values, i.e. terminates. More...

`#include <nanovdb/NanoVDB.h>`

## Public Types
using | Type = const typename NanoRoot<BuildT>::Tile*

## Static Public Member Functions
static __hostdev__ Type | get (const NanoRoot< BuildT > &)
static __hostdev__ Type | get (const typename NanoRoot< BuildT >::Tile &tile)

## Static Public Attributes
static constexpr int | LEVEL = 3

## Detailed Description

template<typename BuildT>
struct nanovdb::GetTile< BuildT >

Return point to the root Tile where math::Coord maps to one of its values, i.e. terminates.

Template Parameters

  BuildT | Build type of the grid being called

## Member Typedef Documentation

## ◆ Type

template<typename BuildT>

using Type = const typename NanoRoot<BuildT>::Tile*

## Member Function Documentation

## ◆ get() [1/2]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoRoot< BuildT > & |  | ) |
| inline static

## ◆ get() [2/2]

template<typename BuildT>

__hostdev__ Type get | ( | const typename NanoRoot< BuildT >::Tile & | tile | ) |
| inline static

## Member Data Documentation

## ◆ LEVEL

template<typename BuildT>

int LEVEL = 3
| static constexpr